import express from 'express';
import { BookmarksController } from '../controllers/bookmarks.controller';
import { authenticateToken } from '../middleware/auth';

const router = express.Router();

router.use(authenticateToken);

router.get('/', BookmarksController.getAll);
router.post('/', BookmarksController.create);
router.delete('/:id', BookmarksController.delete);

export default router;
